diff --git a/lib/SimpleSAML/AuthMemCookie.php b/lib/SimpleSAML/AuthMemCookie.php
index ab69515..ef8a077 100644
--- a/lib/SimpleSAML/AuthMemCookie.php
+++ b/lib/SimpleSAML/AuthMemCookie.php
@@ -145,8 +145,7 @@ class SimpleSAML_AuthMemCookie
         $memcache->delete($sessionID);
 
         // delete the session cookie
-        $sessionHandler = SimpleSAML_SessionHandler::getSessionHandler();
-        $sessionHandler->setCookie($cookieName, null);
+        \SimpleSAML\Utils\HTTP::setCookie($cookieName, null);
     }
 
 
diff --git a/www/authmemcookie.php b/www/authmemcookie.php
index 77379f6..a24b055 100644
--- a/www/authmemcookie.php
+++ b/www/authmemcookie.php
@@ -34,11 +34,8 @@ try {
 
     // generate session id and save it in a cookie
     $sessionID = SimpleSAML\Utils\Random::generateID();
-
     $cookieName = $amc->getCookieName();
-
-    $sessionHandler = SimpleSAML_SessionHandler::getSessionHandler();
-    $sessionHandler->setCookie($cookieName, $sessionID);
+    \SimpleSAML\Utils\HTTP::setCookie($cookieName, $sessionID);
 
     // generate the authentication information
     $attributes = $s->getAttributes();
-- 
2.7.4 (Apple Git-66)

